Lookup Customers
curl --request GET \
--url https://api.vellaro.io/api/v1/admin/orders/lookup/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vellaro.io/api/v1/admin/orders/lookup/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vellaro.io/api/v1/admin/orders/lookup/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vellaro.io/api/v1/admin/orders/lookup/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vellaro.io/api/v1/admin/orders/lookup/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vellaro.io/api/v1/admin/orders/lookup/customers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vellaro.io/api/v1/admin/orders/lookup/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"email": "<string>",
"phones": [
"<string>"
],
"business_type": "<string>",
"company_name": "<string>",
"tax_id": "<string>",
"vat_number": "<string>",
"customer_group": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_active": true
},
"language": "<string>",
"needs_password_setup": true,
"orders_count": 123,
"last_order_at": "2023-11-07T05:31:56Z",
"addresses": [
{
"first_name": "<string>",
"last_name": "<string>",
"address_line1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_default": true,
"company": "<string>",
"address_line2": "<string>",
"state": "<string>",
"phone": "<string>"
}
],
"recent_orders": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"total": "<string>",
"currency": "<string>"
}
],
"kind": "account"
}
],
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Orders
Lookup Customers
Clienti con account del negozio per email, nome, azienda, NIPT o
telefono (ultime 8 cifre); solo attivi e non anonimizzati. Da R2b anche i
profili ospite (kind: "guest", ORD-53). Al massimo 10, in un ordine solo.
Con user_id al posto di q (ORD-54): quell’account soltanto, nella stessa
forma, o una lista vuota se non è un cliente attivo del negozio («Nuovo
ordine per questo cliente», «Ripeti ordine», bozze locali).
GET
/
api
/
v1
/
admin
/
orders
/
lookup
/
customers
Lookup Customers
curl --request GET \
--url https://api.vellaro.io/api/v1/admin/orders/lookup/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vellaro.io/api/v1/admin/orders/lookup/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vellaro.io/api/v1/admin/orders/lookup/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vellaro.io/api/v1/admin/orders/lookup/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vellaro.io/api/v1/admin/orders/lookup/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vellaro.io/api/v1/admin/orders/lookup/customers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vellaro.io/api/v1/admin/orders/lookup/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"email": "<string>",
"phones": [
"<string>"
],
"business_type": "<string>",
"company_name": "<string>",
"tax_id": "<string>",
"vat_number": "<string>",
"customer_group": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_active": true
},
"language": "<string>",
"needs_password_setup": true,
"orders_count": 123,
"last_order_at": "2023-11-07T05:31:56Z",
"addresses": [
{
"first_name": "<string>",
"last_name": "<string>",
"address_line1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_default": true,
"company": "<string>",
"address_line2": "<string>",
"state": "<string>",
"phone": "<string>"
}
],
"recent_orders": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"total": "<string>",
"currency": "<string>"
}
],
"kind": "account"
}
],
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}